
@import "variables";
@import "fonts";
@import "mixins";
@import "grids";
@import "navigations";
@import "headings";
@import "cards";
@import "forms";
@import "quotes";
@import "lists";

@import "header";
@import "footer";
@import "home";
@import "post";

@import "components/blogroll";
@import "components/timeline";
@import "components/spinner";
@import "components/faq";

* {
	box-sizing: border-box;
}

a {
	color: color(blue);
	text-decoration: none;

	&:hover {
		text-decoration: underline;
	}
}

html, body {
	font-size: 16px;
}

body {
	margin: 0;
	padding: 0;
	background: color(dark);
	color: color(light);
	font-family: "Roboto", sans-serif;
	scroll-behavior: smooth;
}

p {
	line-height: 1.8rem;
}

.wrapper, #toc {
	max-width: 1440px;
	margin: 0 auto;
	padding: 1rem 2rem;

	@include mobile {
		padding: 1rem;
	}
}

.stripe {
	margin: 2rem 0;
	padding: 2rem 0;

	&:not(.light) {
		ul {
			li {
				&::before {
					background: rgba(255,255,255,0.6);
				}
			}
		}
	}

	@each $colorName, $colorValue in $colors {
		&.#{$colorName}  {
			color: white;
			background: #{$colorValue};
		}

		&.yellow {
			color: color(dark);
		}
	}

	&.light {
		color: color(dark);
	}

	&:last-child {
		margin-bottom: 0;
		padding-bottom: 0;
	}
}

a {
	text-decoration: none;
}

img {
	max-width: 100%;
	height: auto;
}